////////////////////////////////////////////////////////////////
// jsInvaders - Copyright (c) 2004 Oliver Wilkinson
//
// This software is provided 'as-is', without any express or implied warranty. 
// In no event will the authors be held liable for any damages arising from the use
// of this software.
//
// Permission is granted to anyone to use this software for any purpose, including 
// commercial applications, and to alter it and redistribute it freely, subject 
// to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must not claim that you 
// wrote the original software. If you use this software in a product, an acknowledgment 
// in the product documentation would be appreciated but is not required.
//
// 2. Altered source versions must be plainly marked as such, and must not be 
// misrepresented as being the original software.
//
// 3. This notice may not be removed or altered from any source distribution.
//////////////////////////////////////////////////////////////////
//
// jsInvaders is released under the zlib/png license, please see
// <http://opensource.org/licenses/zlib-license.php> for more details
//
// jsInvaders is the accompanying code to the article
// "Creating moddable games with XML and Scripting"
// by Oliver Wilkinson
//
////////////////////////////////////////////////////////////////////

#include "jsiPlayer.h"

namespace evolutionalcouk
{
	namespace jsInvaders
	{
		jsiPlayer::jsiPlayer()
		{
		}
		
		jsiPlayer::~jsiPlayer()
		{
		}
		///////////////////////////////////////////////////////////////////
		// Method:		moveLeft
		///////////////////////////////////////////////////////////////////
		// Access:		public
		// Prototype:	int moveLeft()
		//
		// Remarks:		Moves the player left
		//
		//
		// Parameters:	None
		//
		// Returns:		Success
		//
		// History:		17/06/2004 - Created initial function body
		//
		//
		////////////////////////////////////////////////////////////////////
		int jsiPlayer::moveLeft()
		{
			return 0;
		}
		///////////////////////////////////////////////////////////////////
		// Method:		moveRight
		///////////////////////////////////////////////////////////////////
		// Access:		public
		// Prototype:	int moveRight()
		//
		// Remarks:		Moves the player right
		//
		//
		// Parameters:	None
		//
		// Returns:		Success
		//
		// History:		17/06/2004 - Created initial function body
		//
		//
		////////////////////////////////////////////////////////////////////
		int jsiPlayer::moveRight()
		{
			return 0;
		}
		///////////////////////////////////////////////////////////////////
		// Method:		fireWeapon
		///////////////////////////////////////////////////////////////////
		// Access:		public
		// Prototype:	int fireWeapon()
		//
		// Remarks:		Causes the player to fire it's weapon
		//
		//
		// Parameters:	None
		//
		// Returns:		Success
		//
		// History:		17/06/2004 - Created initial function body
		//
		//
		////////////////////////////////////////////////////////////////////
		int jsiPlayer::fireWeapon()
		{
			return 0;
		}
		
	}
	
}
